<template>
  <v-row align="center" justify="center">
    <CardResult
      :count="locationAndLockerAmount.locationAmount"
      title="พื้นที่ทั้งหมด"
      :icon="mapIcon"
      :BottomCardColor="bottomColors[0]"
      :CardColor="colors[0]"
    ></CardResult>
    <CardResult
      :count="locationAndLockerAmount.locationNRAmount"
      title="พื้นที่รอตรวจสอบ"
      :icon="mapIcon"
      :BottomCardColor="bottomColors[1]"
      :CardColor="colors[1]"
    ></CardResult>
    <CardResult
      :count="locationAndLockerAmount.lockerAmount"
      title="ล็อตเกอร์ทั้งหมด"
      :icon="LockerIcon"
      :BottomCardColor="bottomColors[0]"
      :CardColor="colors[0]"
    ></CardResult>
    <CardResult
      :count="locationAndLockerAmount.lockerNRAmount"
      title="ล็อตเกอร์รอตรวจสอบ"
      :icon="LockerIcon"
      :BottomCardColor="bottomColors[1]"
      :CardColor="colors[1]"
    ></CardResult>
    <CardResult
      :count="locationAndLockerAmount.lockerRepairAmount"
      title="ล็อตเกอร์ซ่อมแซม"
      :icon="LockerIcon"
      :BottomCardColor="bottomColors[2]"
      :CardColor="colors[2]"
    ></CardResult>
  </v-row>
</template>

<script>
import CardResult from "./CardResult";
export default {
  components: {
    CardResult,
  },
  props: {
    locationAndLockerAmount: Object,
  },
  data() {
    return {
      LockerIcon: "amp_stories",
      mapIcon: "location_on",
      color: "red",
      bottomColors: ["#24963E", "#E5AD06", "#C6303E"],
      colors: ["#2EBF4F", "#F9C425", "#D55460"],
    };
  },
};
</script>

<style></style>
